Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
socket.h File Reference
`#include <botan/types.h>`
`#include <string>`
`#include <chrono>`

Go to the source code of this file.

## Classes
class | Botan::OS::Socket

## Namespaces
| Botan
| Botan::OS

## Functions
std::unique_ptr< Socket > BOTAN_TEST_API | Botan::OS::open_socket (const std::string &hostname, const std::string &service, std::chrono::milliseconds timeout)